<?php
include "../conexion.php";
$ajud_id=$_GET['id'];   
$can=mysqli_query($con,"SELECT * from ajuste_detalle_temp where ajud_id='$ajud_id'") or die(mysqli_error($con)); 
$dato=mysqli_fetch_array($can);                                                  
$ajud_id=$dato['ajud_id'];
$ajud_referencia=$dato['ajud_referencia'];
$ajud_nombre=$dato['ajud_nombre'];
$ajud_cantidad=$dato['ajud_cantidad'];
$ajud_tipo=$dato['ajud_tipo'];
                                           
?>
<form role="form" id="actualizar" >      
        <div class="row" style="padding:10px;">
            <div id="div_actualizar"></div>
            <div class="col-md-12">
                <textarea name="art_nombre" class="form-control" rows="3" readonly=""><?php echo $ajud_nombre; ?></textarea>
            </div>
            <div class="col-md-4">
                <label for="codigo_item" class="control-label">Código</label>
                <input type="text" class="form-control" id="codigo_item" name="codigo_item" placeholder="" value="<?php echo $ajud_referencia; ?>" readonly >
                <input type="hidden" name="id" value="<?php echo $ajud_id; ?>">
            </div>
            <div class="col-md-4">
                <label for="cantidad_item" class="control-label">Cantidad</label>
                <input type="text" class="form-control" value="<?php echo $ajud_cantidad; ?>" name="cantidad" required>
            </div>
            <div class="col-md-4">
                <label for="descuento_item" class="control-label">Tipo de Ajuste</label>
                <select id="tipoajuste" name="tipoajuste"  class="form-control" required >
                    <option value="<?php echo $ajud_tipo; ?>">Ajuste <?php echo $ajud_tipo; ?></option>  
                          <?php if($ajud_tipo=='Salida')
                          {
                            echo '<option value="Entrada">Ajuste Entrada</option>';
                          } else 
                          {
                            echo '<option value="Salida">Ajuste Salida</option>';
                          } ?>
                    </select>                                
            </div>
        </div>
    <div class="modal-footer">
        <button type="button" class="btn btn-default" data-dismiss="modal">Cerrar</button>
        <button type="submit" id="btn_registrar" class="btn btn-success">Modificar</button>
    </div>
</form>

<script>
$("#actualizar").submit(function( event ) {
    $('#btn_registrar').attr("disabled", true);
    var parametros = $(this).serialize();
    $.ajax({
        type: "POST",
        url: "php_ajustes/editar.php",
        data: parametros,
        beforeSend: function(objeto){
            $('#div_actualizar').html('<center><img src="./img/ajax-loader.gif"> CARGANDO...</center>');
        },
        success: function(datos){
            $("#div_actualizar").html(datos);
            $('#btn_registrar').attr("disabled", false);
            $('#editModal').modal('hide');
            $('body').removeClass('modal-open');
            $('.modal-backdrop').remove();
            loadTabla();
        }
    });
event.preventDefault();
})
</script>